Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc.macros
[Groovy] Class HiddenMacro

    java.lang.Object
      org.radeox.macro.BaseMacro
          grails.doc.macros.HiddenMacro

    class HiddenMacro
    extends org.radeox.macro.BaseMacro

Method Summary
`void` | `execute(java.io.Writer out, org.radeox.macro.parameter.MacroParameter params)`
`java.lang.String` | `getName()`

Methods inherited from class org.radeox.macro.BaseMacro
org.radeox.macro.BaseMacro#execute(java.io.Writer, org.radeox.macro.parameter.MacroParameter), org.radeox.macro.BaseMacro#getDescription(), org.radeox.macro.BaseMacro#toString(), org.radeox.macro.BaseMacro#compareTo(java.lang.Object), org.radeox.macro.BaseMacro#getName(), org.radeox.macro.BaseMacro#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.macro.BaseMacro#getParamDescription(), org.radeox.macro.BaseMacro#wait(long, int), org.radeox.macro.BaseMacro#wait(long), org.radeox.macro.BaseMacro#wait(), org.radeox.macro.BaseMacro#equals(java.lang.Object), org.radeox.macro.BaseMacro#hashCode(), org.radeox.macro.BaseMacro#getClass(), org.radeox.macro.BaseMacro#notify(), org.radeox.macro.BaseMacro#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### execute

    void execute(java.io.Writer out, org.radeox.macro.parameter.MacroParameter params)

### getName

    java.lang.String getName()

Groovy Documentation